Get one compliance framework report
import requests
url = "https://platform.ankra.app/org/security/compliance/frameworks/{framework_key}/report"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/compliance/frameworks/{framework_key}/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/compliance/frameworks/{framework_key}/report \
--header 'Authorization: Bearer <token>'{
"framework": {
"key": "<string>",
"title": "<string>",
"short_title": "<string>",
"version": "<string>",
"description": "<string>"
},
"period": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"score": 123,
"satisfied_controls": 123,
"at_risk_controls": 123,
"failing_controls": 123,
"manual_controls": 123,
"categories": [
{
"key": "<string>",
"title": "<string>",
"score": 123,
"satisfied": 123,
"at_risk": 123,
"failing": 123,
"manual": 123,
"controls": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"status": "satisfied",
"checks": [
{
"key": "<string>",
"title": "<string>",
"passed": true,
"evidence": "<string>"
}
]
}
]
}
],
"trend": [
{
"month": "<string>",
"score": 123,
"captured_at": "2023-11-07T05:31:56Z"
}
],
"available_months": [
"<string>"
]
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
Get one compliance framework report
GET
/
org
/
security
/
compliance
/
frameworks
/
{framework_key}
/
report
Get one compliance framework report
import requests
url = "https://platform.ankra.app/org/security/compliance/frameworks/{framework_key}/report"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/compliance/frameworks/{framework_key}/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/compliance/frameworks/{framework_key}/report \
--header 'Authorization: Bearer <token>'{
"framework": {
"key": "<string>",
"title": "<string>",
"short_title": "<string>",
"version": "<string>",
"description": "<string>"
},
"period": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"score": 123,
"satisfied_controls": 123,
"at_risk_controls": 123,
"failing_controls": 123,
"manual_controls": 123,
"categories": [
{
"key": "<string>",
"title": "<string>",
"score": 123,
"satisfied": 123,
"at_risk": 123,
"failing": 123,
"manual": 123,
"controls": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"status": "satisfied",
"checks": [
{
"key": "<string>",
"title": "<string>",
"passed": true,
"evidence": "<string>"
}
]
}
]
}
],
"trend": [
{
"month": "<string>",
"score": 123,
"captured_at": "2023-11-07T05:31:56Z"
}
],
"available_months": [
"<string>"
]
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Render one recorded month (YYYY-MM) instead of the live evaluation.
Response
The scored control-by-control compliance report with the month-over-month trend.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes